package gov.nist.nlpir.irf.conversion;

/**
 * ASCII to HTML converter.
 * <br><br>
 * Changes <, >, & and " to their HTML equivalent
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.
 * @version $Revision: 1.1 $ 
 */

public class Ascii2HtmlConverter {
    
  /**
   * Converts ASCII char array to HTML char array:<br>
   * converts < to &amp;lt; > to &amp;gt; &amp; to &amp;amp;
   * and double quotes (") to &amp;quot;
   * @param src the array to be translated.
   * @return the HTML char array after translation.
   */
  public String convert(String source) {
    StringBuffer target = new StringBuffer(source.length() * 2);
    char[] sourceArray = source.toCharArray();
    int sourcePointer = 0,
      length = source.length();
    while (sourcePointer < length) {
      switch (sourceArray[sourcePointer]) {
      case '<' :
	target.append("&lt;");
	break;
      case '>' :
	target.append("&gt;");
	break;
      case '&' :
	target.append("&amp;");
	break;
      case '"' :
	target.append("&quot;");
	break;
      case '\0':
	// strip out null characters
	break;
      default:
	target.append(sourceArray[sourcePointer]); 
      }
      sourcePointer++;
    }
    return target.toString();
  }
}
