package gov.nist.nlpir.irf.conversion;

import java.util.Hashtable;

/**
 * This class models a collection of rules which specify mappings
 * between SGML-tagged data and fields within a document object
 *<br><br>
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.
 * @version $Revision: 1.1 $
 */

public class ConversionRules {
  
  /** A dictionary of rules for use during conversion */
  private Hashtable rules;



  /** Creates a new instance with no rules */
  public ConversionRules() {
    rules = new Hashtable();
  }



  /** Adds a conversion rule to the dictionary 
   * @parm a conversion rule to add
   */
  public void addRule(ConversionRule cr) {
    rules.put(cr.getTag(), cr);
  }



  /**
   * Takes a tag string and looks through ConversionRules
   * until it finds a rule with the same tag and returns the
   * rule or finds no rule with the same tag and so returns
   * null. We will assume it stops with the first match if
   * any. 
   * @parm tag string
   */
  public ConversionRule findRuleForTag(String tag) {
    return (ConversionRule)rules.get(tag);
  }
}
