package gov.nist.nlpir.irf.de.normalize;

/**
 * This class implements a particular table of unique stop word strings 
 * based on a file of stop words (eng_stopwords.txt) used by FIRE/appl
 * <br><br>
 * NOTE: entries are lowercased before addition and words to
 * be looked up are lowercased first.
 * 
 * @version $Revision: 1.1 $ 	
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */
public class EngStopWordTable01 extends StopWordTable {
  
  /**
   * Constructs an new stopword table
   */
  public EngStopWordTable01() {
    super();
    addWord("a");
    addWord("about");
    addWord("above");
    addWord("according");
    addWord("across");
    addWord("actually");
    addWord("adj");
    addWord("after");
    addWord("afterwards");
    addWord("again");
    addWord("against");
    addWord("all");
    addWord("almost");
    addWord("alone");
    addWord("along");
    addWord("already");
    addWord("also");
    addWord("although");
    addWord("always");
    addWord("am");
    addWord("among");
    addWord("amongst");
    addWord("amoungst");
    addWord("amount");
    addWord("an");
    addWord("and");
    addWord("another");
    addWord("any");
    addWord("anyhow");
    addWord("anyone");
    addWord("anything");
    addWord("anyway");
    addWord("anywhere");
    addWord("are");
    addWord("aren");
    addWord("around");
    addWord("as");
    addWord("at");
    addWord("b");
    addWord("back");
    addWord("be");
    addWord("became");
    addWord("because");
    addWord("become");
    addWord("becomes");
    addWord("becoming");
    addWord("been");
    addWord("before");
    addWord("beforehand");
    addWord("begin");
    addWord("beginning");
    addWord("behind");
    addWord("being");
    addWord("below");
    addWord("beside");
    addWord("besides");
    addWord("between");
    addWord("beyond");
    addWord("bill");
    addWord("billion");
    addWord("both");
    addWord("bottom");
    addWord("but");
    addWord("by");
    addWord("c");
    addWord("call");
    addWord("can");
    addWord("can");
    addWord("cannot");
    addWord("cant");
    addWord("caption");
    addWord("co");
    addWord("con");
    addWord("could");
    addWord("couldn");
    addWord("couldnt");
    addWord("cry");
    addWord("d");
    addWord("de");
    addWord("describe");
    addWord("detail");
    addWord("did");
    addWord("didn");
    addWord("do");
    addWord("does");
    addWord("doesn");
    addWord("don");
    addWord("done");
    addWord("down");
    addWord("due");
    addWord("during");
    addWord("e");
    addWord("each");
    addWord("eg");
    addWord("eight");
    addWord("eighty");
    addWord("either");
    addWord("eleven");
    addWord("else");
    addWord("elsewhere");
    addWord("end");
    addWord("ending");
    addWord("enough");
    addWord("etc");
    addWord("even");
    addWord("ever");
    addWord("every");
    addWord("everyone");
    addWord("everything");
    addWord("everywhere");
    addWord("except");
    addWord("f");
    addWord("few");
    addWord("fifteen");
    addWord("fifty");
    addWord("fify");
    addWord("fill");
    addWord("find");
    addWord("fire");
    addWord("first");
    addWord("five");
    addWord("for");
    addWord("former");
    addWord("formerly");
    addWord("forty");
    addWord("found");
    addWord("four");
    addWord("from");
    addWord("front");
    addWord("full");
    addWord("further");
    addWord("g");
    addWord("get");
    addWord("give");
    addWord("go");
    addWord("h");
    addWord("had");
    addWord("has");
    addWord("hasn");
    addWord("hasnt");
    addWord("have");
    addWord("haven");
    addWord("he");
    addWord("hence");
    addWord("her");
    addWord("here");
    addWord("here");
    addWord("hereafter");
    addWord("hereby");
    addWord("herein");
    addWord("hereupon");
    addWord("hers");
    addWord("herself");
    addWord("him");
    addWord("himself");
    addWord("his");
    addWord("how");
    addWord("however");
    addWord("hundred");
    addWord("i");
    addWord("ie");
    addWord("if");
    addWord("in");
    addWord("inc");
    addWord("indeed");
    addWord("instead");
    addWord("interest");
    addWord("into");
    addWord("is");
    addWord("isn");
    addWord("it");
    addWord("its");
    addWord("itself");
    addWord("j");
    addWord("k");
    addWord("l");
    addWord("last");
    addWord("later");
    addWord("latter");
    addWord("latterly");
    addWord("least");
    addWord("less");
    addWord("let");
    addWord("let");
    addWord("like");
    addWord("likely");
    addWord("ltd");
    addWord("m");
    addWord("made");
    addWord("make");
    addWord("makes");
    addWord("many");
    addWord("may");
    addWord("maybe");
    addWord("me");
    addWord("meantime");
    addWord("meanwhile");
    addWord("might");
    addWord("mill");
    addWord("million");
    addWord("mine");
    addWord("miss");
    addWord("more");
    addWord("moreover");
    addWord("most");
    addWord("mostly");
    addWord("move");
    addWord("mr");
    addWord("mrs");
    addWord("much");
    addWord("must");
    addWord("my");
    addWord("myself");
    addWord("n");
    addWord("name");
    addWord("namely");
    addWord("neither");
    addWord("never");
    addWord("nevertheless");
    addWord("next");
    addWord("nine");
    addWord("ninety");
    addWord("no");
    addWord("nobody");
    addWord("none");
    addWord("nonetheless");
    addWord("noone");
    addWord("nor");
    addWord("not");
    addWord("nothing");
    addWord("now");
    addWord("nowhere");
    addWord("o");
    addWord("of");
    addWord("off");
    addWord("often");
    addWord("on");
    addWord("once");
    addWord("one");
    addWord("only");
    addWord("onto");
    addWord("or");
    addWord("other");
    addWord("others");
    addWord("otherwise");
    addWord("our");
    addWord("ours");
    addWord("ourselves");
    addWord("out");
    addWord("over");
    addWord("overall");
    addWord("own");
    addWord("p");
    addWord("per");
    addWord("perhaps");
    addWord("please");
    addWord("put");
    addWord("q");
    addWord("r");
    addWord("rather");
    addWord("re");
    addWord("recent");
    addWord("recently");
    addWord("s");
    addWord("same");
    addWord("see");
    addWord("seem");
    addWord("seemed");
    addWord("seeming");
    addWord("seems");
    addWord("serious");
    addWord("seven");
    addWord("seventy");
    addWord("several");
    addWord("she");
    addWord("should");
    addWord("shouldn");
    addWord("show");
    addWord("since");
    addWord("sincere");
    addWord("six");
    addWord("sixty");
    addWord("so");
    addWord("some");
    addWord("somehow");
    addWord("someone");
    addWord("something");
    addWord("sometime");
    addWord("sometimes");
    addWord("somewhere");
    addWord("still");
    addWord("stop");
    addWord("such");
    addWord("t");
    addWord("take");
    addWord("taking");
    addWord("ten");
    addWord("than");
    addWord("that");
    addWord("the");
    addWord("their");
    addWord("them");
    addWord("themselves");
    addWord("then");
    addWord("thence");
    addWord("there");
    addWord("thereafter");
    addWord("thereby");
    addWord("therefore");
    addWord("therein");
    addWord("thereupon");
    addWord("these");
    addWord("they");
    addWord("thick");
    addWord("thin");
    addWord("third");
    addWord("thirty");
    addWord("this");
    addWord("those");
    addWord("though");
    addWord("thousand");
    addWord("three");
    addWord("through");
    addWord("throughout");
    addWord("thru");
    addWord("thus");
    addWord("to");
    addWord("together");
    addWord("too");
    addWord("top");
    addWord("toward");
    addWord("towards");
    addWord("trillion");
    addWord("twelve");
    addWord("twenty");
    addWord("two");
    addWord("u");
    addWord("un");
    addWord("under");
    addWord("unless");
    addWord("unlike");
    addWord("unlikely");
    addWord("until");
    addWord("up");
    addWord("upon");
    addWord("us");
    addWord("used");
    addWord("using");
    addWord("v");
    addWord("very");
    addWord("via");
    addWord("w");
    addWord("was");
    addWord("wasn");
    addWord("we");
    addWord("well");
    addWord("were");
    addWord("what");
    addWord("whatever");
    addWord("when");
    addWord("whence");
    addWord("whenever");
    addWord("where");
    addWord("whereafter");
    addWord("whereas");
    addWord("whereby");
    addWord("wherein");
    addWord("whereupon");
    addWord("wherever");
    addWord("whether");
    addWord("which");
    addWord("while");
    addWord("whither");
    addWord("who");
    addWord("whoever");
    addWord("whole");
    addWord("whom");
    addWord("whomever");
    addWord("whose");
    addWord("why");
    addWord("will");
    addWord("with");
    addWord("within");
    addWord("without");
    addWord("won");
    addWord("would");
    addWord("wouldn");
    addWord("x");
    addWord("y");
    addWord("yes");
    addWord("yet");
    addWord("you");
    addWord("your");
    addWord("yours");
    addWord("yourself");
    addWord("yourselves");
    addWord("z"); 
  }

}
