package gov.nist.nlpir.irf.handle.braf;

/**
 * Handle for persistent DeDouble objects stored by buffered random
 * access file brokers
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 *
 */
public class DeDoubleBrafHandle extends BufferedRandomAccessFileHandle {

  /** The code associated with the name of the file in which objects 
   * referred to by handles of this class will be stored */
  static int staticFileCode = getCode("DB.Dbl");


  /**
   * Returns the unique code for the file in which objects referred to by 
   * handles of this class will be stored 
   * @return the code 
   */
  protected final int getFileCode() {
    return staticFileCode;
  }
}
