package gov.nist.nlpir.irf.handle.braf;

/**
 * Handle for an Indexing Feature object brokered by a random access
 * file broker
 *
 * @version $Revision: 1.1 $ 
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */
public class IdxFeatBrafHandle extends BufferedRandomAccessFileHandle {


  /** The code associated with the name of the file in which objects 
   * referred to by handles of this class will be stored */
  static int staticFileCode = getCode("DB.IF");


  /**
   * Returns the unique code for the file in which objects referred to by 
   * handles of this class will be stored 
   * @return the code 
   */
  protected final int getFileCode() {
    return staticFileCode;
  }
}
