package gov.nist.nlpir.irf.index;


/**
 * A special Index dedicated to Inverse Document Frequencies
 * instead of general data elements.
 * 
 * @version $Revision: 1.3 $ 	
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */

public class IdfIndex extends Index {
  


  /**
   * Creates the IdfIndex with the name "Unnamed IdfIndex".
   */
  public IdfIndex() {
    super("Unnamed IdfIndex");
    IFs = new IdfIdxIntern("", "Unnamed IdfIndex");
  }
  


  /**
   * Creates the IdfIndex with the name given in parameter.
   * @param loc  location of index
   * @param name index name
   */
  public IdfIndex(String loc, String name) {
    super(name);
    IFs = new IdfIdxIntern(loc, name);
  }

}
