package gov.nist.nlpir.irf.index;


/** 
 * Extends the Index for KeyWord indexes.
 * 
 * @version $Revision: 1.3 $
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */
public class KeyWordIndex extends Index {
    
  /** 
   * Creates a KeyWord Index called "Unnamed Index".
   * 
   */
  public KeyWordIndex() {
    this(null,"Unnamed Index");
  }
  
  /** 
   * Creates a KeyWord Index with the supplied name.
   * 
   * @param location index location information
   * @param name index name.
   */
  public KeyWordIndex(String location, String name) {
    super(name);
    IFs = new KeyWordIdxIntern(location, name);	        
  }
}
