package gov.nist.nlpir.irf.index;

import gov.nist.nlpir.irf.index.ProxyIndex;

/**
 *  Extends the ProxyIndex for IDF indexes.
 * 
 * @version $Revision: 1.2 $ 	
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */

public class ProxyIdfIndex extends ProxyIndex {
  

  /**
   * Creates the IdfIndex with the name "Unnamed IdfIndex".
   */
  public ProxyIdfIndex() {
    setRealObject(new IdfIndex());
  }
  


  /**
   * Creates the IdfIndex with the location and name given in parameter.
   * @param name name of the index
   * @param loc location of the index
   */
  public ProxyIdfIndex(String loc, String name) {
    setRealObject(new IdfIndex(loc,name));
  }

}
