package gov.nist.nlpir.irf.index;

/** 
 * Extends the ProxyIndex for KeyWord indexes.
 * 
 * @version $Revision: 1.2 $
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */

public class ProxyKeyWordIndex extends ProxyIndex {
    
  /** 
   * Creates a KeyWord Index called "Unnamed Index".
   */
  public ProxyKeyWordIndex() {
    setRealObject(new KeyWordIndex());
  }
  
  /** 
   * Creates a KeyWord Index with the supplied name.
   * 
   * @param location index location information
   * @param name index name.
   */
  public ProxyKeyWordIndex(String location, String name) {
    setRealObject(new KeyWordIndex(location, name));
  }
}
