package gov.nist.nlpir.irf.indexer;
import gov.nist.nlpir.irf.document.DocumentIntrf;
import gov.nist.nlpir.irf.document.ProxyDocument;
import gov.nist.nlpir.irf.de.DataElem;
import java.io.IOException;
import java.io.FileNotFoundException;
import java.util.Vector; 

/** 
 * A general purpose indexer.
 * <br><br>
 *
 * @version $Revision: 1.1 $ 	
 *
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */                      

public class UniversalIndexer extends Indexer {
    
  /**
   * Returns the indexing features that were extracted from specified data 
   * element and document at indexing time.
   *
   * @param de the data element from which to extract features
   * @param doc the (proxy) document which contains the data element 
   * @return a vector of features for the specified data element and document
   */          
  public Vector getIndexingFeatures(DataElem de, 
				    ProxyDocument proxyDoc) {
    return de.getIndexingFeatures(proxyDoc, 
				  null, // empty indexing modalities
				  de); 
  }
    
} 
