package gov.nist.nlpir.irf.irfman;

import gov.nist.nlpir.irf.irfman.IrfManager;

import gov.nist.nlpir.irf.de.normalize.Stemmer;
import gov.nist.nlpir.irf.de.normalize.PorterStemmer;
import gov.nist.nlpir.irf.de.TextStatistics;
import gov.nist.nlpir.irf.modality.IndexingModalities;
import gov.nist.nlpir.irf.de.normalize.StopWordTable;
import gov.nist.nlpir.irf.de.normalize.EngStopWordTable01; // eng_stopwords.txt from FIRE/appl

/** 
 * IrfGlobal is a single collection of globally known references to
 * important information. Instance data is meant to be accessed
 * directly rather than via get/set methods
 * 
 * @version $Revision: 1.1 $ 	
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
 */                      

public final class IrfGlobal {
    
  public static IrfManager gIrfManager = null; // global IR Manager
  
  public static IndexingModalities gIndexingModalities; 
  
  public static TextStatistics gTextStatistics;
  
  public static StopWordTable gStopWordTable = new EngStopWordTable01();
  
  public static Stemmer gStemmer = new PorterStemmer();
  
  // public static Thesaurus gThesaurus;
}
