package gov.nist.nlpir.irf.matcher;

import gov.nist.nlpir.irf.feature.IndexingFeature;
import gov.nist.nlpir.irf.de.DataElem;

/** 
 * This class provides a "null" version of features matching. As a result
 * the methods may look a bit odd.
 * @version $Revision: 1.1 $ 	
 * 
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.  
*/                      

public class NullMatcherbp extends Matcherbp {
           
  /** 
   * Decides whether the string versions of two data elements are exact 
   * matches for eachother
   * @param de1 First data element
   * @param de2 Second data element
   * @return 1.0 if the two data elements match exactly; else 0.0
   */
  public double match(DataElem de1, DataElem de2){
      if (de1.getValueAsString().compareTo(de2.getValueAsString()) == 0)
	  return 1.0;
      return 0.0;
  }
 

} 
