package gov.nist.nlpir.irfapps.trec;

import gov.nist.nlpir.irf.conversion.ConversionRule;
import gov.nist.nlpir.irf.conversion.ConversionRules;

/**
 * This class models the rules needed to convert the fields comon to
 * all raw TREC documents to Document objects after formatting by nsgmls.
 * Note that the start-of-document tag (DOC) must be handled by rules
 * specific to the collection being converted. 
 *
 * @see gov.nist.nlpir.irf.document.Document
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in
 * the United States.  Recipients of this software assume all 
 * responsibilities associated with its operation, modification and
 * maintenance.
 */
public class TrecConversionRules extends ConversionRules {

  public TrecConversionRules () {
    addRule(
      new ConversionRule("DOCNO", ConversionRule.CONVERT, "docNumber",
			 "gov.nist.nlpir.irf.de.ProxyDeString","gov.nist.nlpir.irfapps.trec.TrecDocument"));
  }
}
