package gov.nist.nlpir.irfapps.trec.cran;

import gov.nist.nlpir.irfapps.trec.TrecConversionRules;

import gov.nist.nlpir.irf.conversion.ConversionRule;
import gov.nist.nlpir.irf.conversion.ConversionRules;

/**
 *
 * This class models the rules needed to convert the Cranfield 
 * documents to Document objects after formatting by nsgmls
 *
 * @see gov.nist.nlpir.irf.document.Document
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the U.S. government,  
 * and by statute is not subject to copyright in the United States.        
 * Recipients of this software assume all responsibilities associated      
 * with its operation, modification and maintenance.
 */

public class CranfieldConversionRules extends TrecConversionRules {

  public CranfieldConversionRules() {
    super();
    String DocClassName = "gov.nist.nlpir.irfapps.trec.cran.CranfieldDocument";
    addRule(new ConversionRule("DOC",
			       ConversionRule.START_DOCUMENT,
			       null, 
			       null,
			       DocClassName));
    addRule(new ConversionRule("AUTHOR",
			       ConversionRule.CONVERT,
			       "author",
			       "gov.nist.nlpir.irf.de.ProxyDeString",
			       DocClassName));
    addRule(new ConversionRule("BIBLIO",
			       ConversionRule.CONVERT,
			       "biblio",
			       "gov.nist.nlpir.irf.de.ProxyDeString",
			       DocClassName));
    addRule(new ConversionRule("TITLE",
			       ConversionRule.CONVERT,
			       "title",
			       "gov.nist.nlpir.irf.de.ProxyDeString",
			       DocClassName));
    addRule(new ConversionRule("TEXT",
			       ConversionRule.CONVERT,
			       "text",       
			       "gov.nist.nlpir.irf.de.ProxyDeHtml",
			       DocClassName));
    //addRule(new ConversionRule("DATE", ConversionRule.CONVERT, "date", "gov.nist.nlpir.irf.de.ProxyDeInteger", DocClassName));
  }
}
