package gov.nist.nlpir.irfapps.trec.cran;

import gov.nist.nlpir.irf.conversion.Sgml2AppDocConverter;

/**
 * This class models a converter which produces proxy CRANFIELD documents
 * and the corresponding real CRANFIELD documents based on the rules
 * in CranfieldConversionRules.
 *
 * @see gov.nist.nlpir.irf.document.Document
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */
public class CranfieldConverter extends Sgml2AppDocConverter {

  public CranfieldConverter () {
    super(new CranfieldConversionRules());
    setRealDocClass("gov.nist.nlpir.irfapps.trec.cran.CranfieldDocument");
    setProxyDocClass("gov.nist.nlpir.irfapps.trec.cran.ProxyCranfieldDocument");
  }
}
