package gov.nist.nlpir.irfapps.trec.cran;

import gov.nist.nlpir.irfapps.trec.ProxyTrecDocument;
import gov.nist.nlpir.irf.de.ProxyDeString;
import gov.nist.nlpir.irf.de.ProxyDeHtml;
import gov.nist.nlpir.irf.document.ProxyDocument;
import gov.nist.nlpir.irf.broker.PersistenceBroker;
import gov.nist.nlpir.irfapps.trec.cran.CranfieldDocumentBrafBroker;

/**
 * A stand-in for an CranfieldDocument
 *
 * @see gov.nist.nlpir.irfapps.trec.cran.CranfieldDocument
 *
 * @version $Revision: 1.3 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */

public class ProxyCranfieldDocument extends ProxyTrecDocument {
  
  // No arg constructor for deserialization
  public ProxyCranfieldDocument() {
    setRealObject(null);
  }

  public ProxyCranfieldDocument(CranfieldDocument realDoc) {
    setRealObject(realDoc);
  }

  public ProxyCranfieldDocument(ProxyDeString docNr, ProxyDeString titl, 
				ProxyDeString auth, ProxyDeString bib,
				ProxyDeHtml txt) {
    setRealObject(new CranfieldDocument(docNr, titl, auth, bib, txt));
  }
  
  
  /**
   * Returns string representation of Cranfield Document
   */
  public String toString() {
    return ((CranfieldDocument)getRealObject()).toString();
  }
  
  /** 
   * Create a  broker for this proxy object and remember it
   * @return the broker for this object
   */          
   
  public PersistenceBroker createBroker(){
    setBroker(CranfieldDocumentBrafBroker.instance());
    return(getBroker());
  }

  public ProxyDocument getQueryDocument() {
    return new ProxyCranfieldDocument((CranfieldDocument)(new CranfieldDocument()).getQueryDocument());
  }
}
