package gov.nist.nlpir.irfapps.trec.fbis;

import gov.nist.nlpir.irfapps.trec.TrecConversionRules;

import gov.nist.nlpir.irf.conversion.ConversionRule;
import gov.nist.nlpir.irf.conversion.ConversionRules;

/**
 * This class models the rules needed to convert the TREC FBIS 
 * documents to Document objects after formatting by nsgmls
 *
 * @see gov.nist.nlpir.irf.document.Document
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */
public class FbisConversionRules extends TrecConversionRules {

  public FbisConversionRules () {
    String DocClassName = "gov.nist.nlpir.irfapps.trec.fbis.FbisDocument";
    addRule(new ConversionRule("DOC", ConversionRule.START_DOCUMENT, null, 
			       null,DocClassName));
    addRule(new ConversionRule("ABS", ConversionRule.CONVERT, "docAbstract",
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H1",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H2",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H3",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H4",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H5",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H6",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H7",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("H8",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("TI",  ConversionRule.CONVERT, "title",      
			       "gov.nist.nlpir.irf.de.ProxyDeString",DocClassName));
    addRule(new ConversionRule("TEXT",ConversionRule.CONVERT, "text",       
			       "gov.nist.nlpir.irf.de.ProxyDeHtml",DocClassName));
  }
}
