package gov.nist.nlpir.irfapps.trec.fbis;

import gov.nist.nlpir.irf.conversion.Sgml2AppDocConverter;

/**
 * This class models a converter which produces proxy FBIS documents
 * and the corresponding real FBIS documents based on the rules
 * in FbisConversionRules.
 *
 * @see gov.nist.nlpir.irf.document.Document
 *
 * @version $Revision: 1.1 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */
public class FbisConverter extends Sgml2AppDocConverter {

  public FbisConverter () {
    super(new FbisConversionRules());
    setRealDocClass("gov.nist.nlpir.irfapps.trec.fbis.FbisDocument");
    setProxyDocClass("gov.nist.nlpir.irfapps.trec.fbis.ProxyFbisDocument");
  }
}
