package gov.nist.nlpir.irfapps.trec.fbis;

import gov.nist.nlpir.irfapps.trec.ProxyTrecDocument;
import gov.nist.nlpir.irf.de.ProxyDeString;
import gov.nist.nlpir.irf.de.ProxyDeHtml;
import gov.nist.nlpir.irf.document.ProxyDocument;
import gov.nist.nlpir.irf.broker.PersistenceBroker;
import gov.nist.nlpir.irfapps.trec.fbis.FbisDocumentBrafBroker;

/**
 * A stand-in for an FbisDocument
 *
 * @see gov.nist.nlpir.irfapps.trec.fbis.FbisDocument
 *
 * @version $Revision: 1.3 $
 *
 * @author
 * This software was produced by NIST, an agency of the
 * U.S. government, and by statute is not subject to copyright in the
 * United States.  Recipients of this software assume all
 * responsibilities associated with its operation, modification and
 * maintenance.
 */

public class ProxyFbisDocument extends ProxyTrecDocument {
  
  // No arg constructor for deserialization
  public ProxyFbisDocument() {
    setRealObject(null);
  }

  public ProxyFbisDocument(FbisDocument realDoc) {
    setRealObject(realDoc);
  }

  public ProxyFbisDocument(ProxyDeString docNr, ProxyDeString titl, 
			    ProxyDeString abstr, ProxyDeHtml txt) {
    setRealObject(new FbisDocument(docNr, titl, abstr, txt));
  }
  
  
  /**
   * Returns string representation of FBIS Document
   */
  public String toString() {
    return ((FbisDocument)getRealObject()).toString();
  }
  
  /** 
   * Create a  broker for this proxy object and remember it
   * @return the broker for this object
   */          
   
  public PersistenceBroker createBroker(){
    setBroker(FbisDocumentBrafBroker.instance());
    return(getBroker());
  }

  public ProxyDocument getQueryDocument() {
    return new ProxyFbisDocument((FbisDocument)(new FbisDocument()).getQueryDocument());
  }
}
